For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Topic

Creates a new topic. The full topic needs to be provided to create the object. Optional data will be filled with defaults or left empty.

post
/clusters/{clusterId}/topics
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Body
metadataanyOptional

Metadata

Responses
201

Topic successfully created.

application/json
idstring · uuidRequired

The ID (UUID) of the Topic.

Example: ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Topic.

Example: /clusters/{clusterId}/topics/ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
post/clusters/{clusterId}/topics
POST /clusters/{clusterId}/topics HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 176

{
  "metadata": {},
  "properties": {
    "name": "my-kafka-cluster-topic",
    "replicationFactor": 3,
    "numberOfPartitions": 3,
    "logRetention": {
      "retentionTime": 604800000,
      "segmentBytes": 1073741824
    }
  }
}
{
  "id": "ae085c4c-3626-5f1d-b4bc-cc53ae8267ce",
  "type": "topic",
  "href": "/clusters/{clusterId}/topics/ae085c4c-3626-5f1d-b4bc-cc53ae8267ce",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "In progress."
  },
  "properties": {
    "name": "my-kafka-cluster-topic",
    "replicationFactor": 3,
    "numberOfPartitions": 3,
    "logRetention": {
      "retentionTime": 604800000,
      "segmentBytes": 1073741824
    }
  }
}

Last updated

Was this helpful?